Loading...
Searching...
No Matches
BALL::PDB::RecordHELIX Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Public Member Functions

| RecordHELIX ()
void | clear ()

## Public Attributes

RecordType | record_type
RecordName | record_name
Integer | serial_number
LString3 | helix_ID
Residue | initial_residue
Residue | terminal_residue
Integer | helix_class
PDBString | comment
Integer | length

## Detailed Description

Definition at line 674 of file PDBdefs.h.

## Constructor & Destructor Documentation

## RecordHELIX()

BALL::PDB::RecordHELIX::RecordHELIX | ( |  | ) |

inline

Definition at line 686 of file PDBdefs.h.

## Member Function Documentation

## clear()

void BALL::PDB::RecordHELIX::clear | ( |  | ) |

inline

Definition at line 687 of file PDBdefs.h.

## Member Data Documentation

## comment

PDBString BALL::PDB::RecordHELIX::comment

Definition at line 683 of file PDBdefs.h.

## helix_class

Integer BALL::PDB::RecordHELIX::helix_class

Definition at line 682 of file PDBdefs.h.

## helix_ID

LString3 BALL::PDB::RecordHELIX::helix_ID

Definition at line 679 of file PDBdefs.h.

## initial_residue

Residue BALL::PDB::RecordHELIX::initial_residue

Definition at line 680 of file PDBdefs.h.

## length

Integer BALL::PDB::RecordHELIX::length

Definition at line 684 of file PDBdefs.h.

## record_name

RecordName BALL::PDB::RecordHELIX::record_name

Definition at line 677 of file PDBdefs.h.

## record_type

RecordType BALL::PDB::RecordHELIX::record_type

Definition at line 676 of file PDBdefs.h.

## serial_number

Integer BALL::PDB::RecordHELIX::serial_number

Definition at line 678 of file PDBdefs.h.

## terminal_residue

Residue BALL::PDB::RecordHELIX::terminal_residue

Definition at line 681 of file PDBdefs.h.